compat: use kconfig.h in compat-2.6.h for 3.1 and later kernels